require 'src/filesystem'
require 'src/mailstore'

class DovecotMailstore < Mailstore

  def get_domains_from_filesystem()
    return Filesystem.get_subdirs(@domain_root)
  end


  def get_accounts_from_filesystem(domains)
    accounts = []

    domains.each do |domain|
      domain_path = File.join(@domain_root, domain)

      if File.directory?(domain_path)
        # If domain_path isn't a directory, maybe the
        # domain folder doesn't exist? In that case, I
        # guess we want to report zero accounts.
        usernames = Filesystem.get_subdirs(domain_path)

        usernames.each do |username|
          accounts << "#{username}@#{domain}"
        end
      end
    end

    return accounts
  end

end
